Bug 473535 - SELinux denials on network reconnect
SELinux denials on network reconnect
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
10
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-29 02:08 EST by Rohan Dhruva
Modified: 2009-11-18 08:04 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-18 08:04:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
SELinux Denial report (2.77 KB, text/plain)
2008-11-29 02:08 EST, Rohan Dhruva
no flags Details

  None (edit)
Description Rohan Dhruva 2008-11-29 02:08:03 EST
Created attachment 325067 [details]
SELinux Denial report

Description of problem:
I am using a freshly installed Fedora 10 system. I connect to internet using ethernet card (module: sky2) in my Acer TravelMate 3260 laptop. Whenever I remove or re-insert the ethernet cable, or restart the router, an SELinux denial takes place.

On my computer, I wanted to have specific DNS server, and NetworkManager always mangled the file /etc/resolv.conf. To prevent that, I did "chattr +i /etc/resolv.conf". I though that might have caused the problem, so I reversed the change. This problem occurs only after I did this, but I am not sure whether they are related. I did "fixfiles relabel" and "fixfiles onboot", but that does not fix the problem.

Version-Release number of selected component (if applicable):
3.5.13-18.fc10.noarch

How reproducible:
Always

Steps to Reproduce:
1. Remove the ethernet cable (NM says network disconnected)
2. Denial
3. Insert the ethernet cable (NM says network connected, after some time)
4. Denial
  
Actual results:
Denial on connect/disconnect.

Expected results:
There should be no denials.

Additional info:
I am attaching the denial report from setroubleshoot.
Comment 1 Rohan Dhruva 2008-11-29 02:15:10 EST
One more thing which came to my mind - when I right click on nm-applet and select "Edit Connections", in the "Wired" tab I find my connection listed as "Auto eth0". Previously when I selected that and clicked on "Edit", I could edit all the values. Now, all the values in the "Editing Auto eth0" dialog, all the values have become read-only. I don't know what caused these two problems - selinux denials and read-only network. Thank you.
Comment 2 Daniel Walsh 2008-12-01 15:51:54 EST
Fixed in selinux-policy-3.5.13-26.fc10
Comment 3 Rohan Dhruva 2008-12-02 00:42:11 EST
Thank you so much, Daniel. Also, any idea why the connection is "read only" and all fields in greyed out, when I try to Edit the connection (Auto eth0)?
Comment 4 Daniel Walsh 2008-12-02 11:17:22 EST
No idea
Comment 5 Bug Zapper 2009-11-18 04:03:28 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Daniel Walsh 2009-11-18 08:04:30 EST
Closing as closed in the current release.

Note You need to log in before you can comment on or make changes to this bug.